ServerEvents.recipes(event => {
    // Replace crafting recipes for thermal just for crafting
    event.replaceInput(
        {mod: 'thermal', type: 'crafting_shaped'},
        '#forge:ingots/iron',
        '#forge:ingots/steel'
    );
    event.replaceInput(
        {mod: 'thermal', type: 'crafting_shapeless'},
        '#forge:ingots/iron',
        '#forge:ingots/steel'
    );

    event.replaceInput(
        { input: 'thermal:earth_charge' },
        'thermal:earth_charge',
        'immersiveengineering:hammer'
    )
});

const IEMetalPressGearRecipes = [
    {
        input: "4x minecraft:netherite_ingot",
        output: "thermal:netherite_gear"
    },
    {
        input: "4x thermal:signalum_ingot",
        output: "thermal:signalum_gear"
    },
    {
        input: "4x thermal:lumium_ingot",
        output: "thermal:lumium_gear"
    },
    {
        input: "4x thermal:enderium_ingot",
        output: "thermal:enderium_gear"
    },
]


IEMetalPressGearRecipes.forEach(recipe => {
    global.IEMetalPress(
        recipe.input,
        "immersiveengineering:mold_gear",
        recipe.output
    );
});
